1. Hey Guest! Our new game Wargroove has released! Check out the forums or wiki for more information!
    Dismiss Notice

Tool SMAPI: Stardew Modding API

Discussion in 'Mods' started by ClxS, Mar 6, 2016.

  1. gaysonlyevent

    gaysonlyevent Aquatic Astronaut

  2. MouseyPounds

    MouseyPounds Pangalactic Porcupine

    Your game is failing to find the character file for Kent (who first appears on Spring 1 of Year 2). Try verifying your content files.
     
    • gaysonlyevent

      gaysonlyevent Aquatic Astronaut

      seems i forgot to unzip the .rar file of the xnb mod i downloaded and just put it in place of his character file, well that problem's fixed! thank you @MouseyPounds !
       
      • lolmaj

        lolmaj Orbital Explorer

        My mod contains some asset files. I added them to my project, but automatically generated zip package still doesn't have it. How to do this once forever and not with every update manually? I couldn't find guide on wiki, but if there is one link it or explain. Thank you (from the mounta..) in advance :)

        Edit:
        I found it myself. I just had to put the assets folder in the debug folder. Previously, she was only in the class library.
         
          Last edited: May 12, 2019
        • pepoluan

          pepoluan Orbital Explorer

          Aaaah, did not notice that. Thanks!
           
          • rhaegars

            rhaegars Void-Bound Voyager

            I've been trying to have a multiplayer session with a friend and I keep crashing the moment I leave my house or try to enter town. This happened after I reinstalled all my mods (new PC, fresh installs). Wondering if they're at fault. I don't have all the same mods my friend does.
            https://log.smapi.io/NWDdSHDN
             
            • Moragaine

              Moragaine Pangalactic Porcupine

              @rhaegars Unfortunately, when you play multiplayer you do need the same mods as the other player; and in this case your friend is using Kisekae(the replacement for Getdressed) which is what's crashing your game. You two need to decide on a mod list of what you want to play with for your multiplayer game and go from there.
               
              • Pathoschild

                Pathoschild Cosmos Killer

              • megadoomed

                megadoomed Intergalactic Tourist

              • lolmaj

                lolmaj Orbital Explorer

                @Pathoschild Thanks for help and for checking if my mods will work in Smapi 3.0. :D I would suggest placing that solution to the problem in modding guide, but since it wouldn't matter in new version it might not be nesesery.
                 
                • TheGodlyKittenNinja

                  TheGodlyKittenNinja Void-Bound Voyager

                  That worked! Thank you!
                   
                  • Pathoschild

                    Pathoschild Cosmos Killer

                    @megadoomed That seems like a bug with a custom event from Immersive Characters - Shane. I suggest reporting it to the mod author (and maybe sending them a zip of the save file too so they can test it). You can remove that mod temporarily to avoid the error.
                     
                    • TheGodlyKittenNinja

                      TheGodlyKittenNinja Void-Bound Voyager

                      So, since I got it working and it didn't have to do with the expanded mod, I figured I'd try it again. Now it's saying I don't have the Farm Type Manager, but I DEFINITELY have the latest version of it. I just downloaded it like, 20 minutes ago and got everything put in place for the expansion. So... I don't know... help?
                      https://log.smapi.io/W4s9KRPK
                       
                      • 13akoors

                        13akoors Scruffy Nerf-Herder

                        Did you perhaps not unpack it, or install it somehow improperly? Because the SMAPI log doesn't show that mod as installed.

                        Make sure the folder is correctly umpacked and in your Mods folder
                         
                        • josephikrakowksi

                          josephikrakowksi Space Hobo

                        • MouseyPounds

                          MouseyPounds Pangalactic Porcupine

                          Your SMAPI is out of date. Get the current version (2.11.2) from https://smapi.io/
                           
                          • TheGodlyKittenNinja

                            TheGodlyKittenNinja Void-Bound Voyager

                            Right There! Clear as day. And has the files for the expansion.... I have no idea why it isn't reading it.
                            [​IMG] [​IMG]
                             
                            • Moragaine

                              Moragaine Pangalactic Porcupine

                              @TheGodlyKittenNinja Take the plain FarmTypeManagaer folder out of the folder with all the numbers, it doesn't work otherwise(some mods don't mind, others do). You can delete the empty folder when you've moved FTM out of it.
                               
                              • TheGodlyKittenNinja

                                TheGodlyKittenNinja Void-Bound Voyager

                                Still giving me the same report that I don't have the mod.
                                [​IMG] [​IMG]
                                 
                                • Pathoschild

                                  Pathoschild Cosmos Killer

                                  @TheGodlyKittenNinja Can you post...
                                  • your new SMAPI log (since you moved the folder);
                                  • and another screenshot of the FarmTypeManager folder, but with the full address visible?
                                   

                                  Share This Page